shiren zsnes version?

You are here: The Pantheon / Seven Heavens / Asgard - Technical Help / Topic: shiren zsnes version?

Gon is really angry
 right now.

ThreadTools

Print


ForumStats

11043 Posts, 545 Topics, 780 Members, Latest Member: jnmoors01

This forum is Powered by SMF 1.1.21 | SMF © 2005, Simple Machines integrated by Datschge basing on Simplicity by Bloc
 (Read 4543 times) [1]

  shiren zsnes version?
« on: April 29, 2008, 10:39:39 PM » by ayu
Hello,
I was wondering which version of ZSNES the patch creators or other people used to play Shiren the Wonderer. The readme states that it does not work with all versions of ZSNES. I have removed the header to be of the correct size, and the unpatched version says checksum ok when I load it up.
However, upon several key points (before entering your name when starting a new game, after dying, or after completing a dungeon when it transitions to the score board), the game will freeze. It works ok if I savestate before the key point, load the unpatched rom, load state, pass that point, save, and reload patched rom. I've tried the latest three versions 1.51, 1.50, and 1.42 and they all freeze in the beginning.
Does anybody else have any issues with this? Thanks,
~ayu
IP Logged

  Re: shiren zsnes version?
« Reply #1 on: April 30, 2008, 05:34:14 PM » by LGB I hate footsoldiers
It sometimes depends on where you got the rom itself. I had troubles with this too, but eventually I did some poking and got it fixed, though the actual problems encountered were a bit worse (it would freeze right before the opening) And it even works in zsnes. (version 1.20)

Do some poking, maybe you'll find it.

Always outnumbered, never outgunned.
IP Logged

  Re: shiren zsnes version?
« Reply #2 on: May 01, 2008, 09:27:38 PM » by ayu
Could you clarify what you mean by poking? Also, if the checksum is reported as good, shouldn't that mean the file is not corrupted and should work with the patch? Hm... version 1.2, that seems really old, but I might try it if nothing else works. Hopefully the savestates between the versions would be compatible. Thanks!
IP Logged

  Re: shiren zsnes version?
« Reply #3 on: June 19, 2008, 05:22:39 PM » by LGB I hate footsoldiers
"poking" as in browsing various romsites.

From what I know, if the checksum is incorrect, that means it's been patched or hacked in any way, including translations. But that's slightly irrelevant; what matters is less what the program says and more what the readme (that Gid includes) says. Again, that's just me.

I use 1.20 because I'm not sure whether newer versions are compatible with my old computer. I would think that newer savestates are compatible (unless there's some compression update), but it wouldn't matter anyway, as the savestate still has the "corrupted" data that causes the freezing you experience, and won't change anything.

I tried both the bad rom I found and the good rom I found with Snes9x, and they do exactly what they do with zsnes. Just thought that was something to know.

Always outnumbered, never outgunned.
IP Logged

  Re: shiren zsnes version?
« Reply #4 on: November 18, 2010, 08:08:59 PM » by Emperor Udan
Hello.

I have the same problem here with my snes backup unit.
I take a clean rom, patch it and make it run on my Super Wildcard DX2.
The game is running  but when I start it and choose my journey it instantly freeze.
Wishing this post will bump this project. ;-p

I want to thanks AETP anyway for all the HUGE work they made & for their beautiful website.
IP Logged

 (Read 4543 times) [1]
Jump to: